Bug 3554 - [UPDATE REQUEST] [UPSTREAM UPDATE] ethtool
: [UPDATE REQUEST] [UPSTREAM UPDATE] ethtool
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-10 13:36 MSK by Andrew Lukoshko
Modified: 2014-01-13 13:16 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2014-01-10 13:36:30 MSK
* Previously, the ethtool utility did not correctly communicate with the network device driver when attempting to set LRO (Large Receive Offload) options. Consequently, it was not possible to set the LRO options on devices supporting LRO. With this update, ethtool has been fixed to communicate correctly with the device driver, and the LRO options can now be set on network devices.

* Due to a change to the ixgbe driver, the "ethtool -d" command in non-raw mode stopped providing output. As a consequence, "ethtool -d" could not be used to examine the state of ixgbe devices. To fix this bug, ethool has been changed to work with the new ixgbe device driver, and the "ethtool -d" command on ixgbe devices in non-raw mode can now be used again.

https://rhn.redhat.com/errata/RHBA-2014-0003.html

https://abf.rosalinux.ru/build_lists/1513272
https://abf.rosalinux.ru/build_lists/1513273
Comment 1 Alexander Petryakov 2014-01-11 20:17:24 MSK
 ethtool-3.5-1.2.res6
*********************** RHEL Advisory *************************
* Previously, the ethtool utility did not correctly communicate with the network device driver when attempting to set LRO (Large Receive Offload) options. Consequently, it was not possible to set the LRO options on devices supporting LRO. With this update, ethtool has been fixed to communicate correctly with the device driver, and the LRO options can now be set on network devices.

* Due to a change to the ixgbe driver, the "ethtool -d" command in non-raw mode stopped providing output. As a consequence, "ethtool -d" could not be used to examine the state of ixgbe devices. To fix this bug, ethool has been changed to work with the new ixgbe device driver, and the "ethtool -d" command on ixgbe devices in non-raw mode can now be used again.

https://rhn.redhat.com/errata/RHBA-2014-0003.html
***************************************************************
QA Verified